[#include "/solr/templates/macros/faceting.ftl"]
[#include "/solr/templates/macros/pager.ftl"]

[#assign queryTerm = ctx.queryTerm?has_content?then(ctx.queryTerm!?html, '*')]

[#assign pagerSize = content.size!10]
[#assign offset = ctx.offset!0]

[#assign results = solrfn.query(queryTerm)
                            .clientName(content.client!'default')
							.rows(pagerSize)
							.start(offset?number)
							.filterQuery(content.filter)
							.field(content.fields!)
							.edismax()
							.queryField(content.queryFields)
							.highlight(content.highlight!)
							.highlightTag(cmsfn.decode(content).highlightTagPre, cmsfn.decode(content).highlightTagPost)
							.highlightSnippets(content.highlightSnippets!1)
							.highlightFragSize(content.highlightFragSize!100)
							.facetField(content.facetFields)
							.facetMinCount(content.facetMinCount!0)
							.filterQuery(constructFacetFilterQuery(content.facetFields)!)
                        	.search()?eval]

<form>
	<fieldset>
    	<div>
        	<label for="search">
				<span>${i18n['solr.template.search.label']}</span>
        	</label>
			<input id="search" name="queryTerm" type="text" value="${ctx.queryTerm!?html}" />
        	<input class="button" type="submit" value="${i18n['solr.template.search.button']}"/>
      	</div>
	</fieldset>
</form>

[#if results.facet_counts?has_content]
	[@constructFacet results.facet_counts.facet_fields /]
[/#if]

<div>
  <h2>${i18n['solr.template.search.results']}</h2> 
  ${i18n['solr.template.search.results.number']} ${results.response.numFound}

	<ol start="${offset?number + 1}">
	[#list results.response.docs as doc]
  		  <li>
  		  	[#assign link = doc.url?has_content?then(doc.url, cmsfn.link(cmsfn.nodeById(doc.id, doc.workspace)))]
  		  	
  		  	[#assign title = content.titleField?has_content?then(doc[content.titleField]!doc.title!link, doc.title!link)]

  		  	<a href="${link!}">${title?is_sequence?then(title?first, title)}</a></h3>
  		  	
  		  	[#assign highlight = results.highlighting[doc.id]?values[0]!""]
  		  	[#if highlight?is_sequence]
  		  		<p>${highlight?join("... ")}</p>
  		  	[#else]
  		    	<p>${highlight!}</p>
  		  	[/#if]
  		</li>
	[/#list]
	<ol>
</div>

[@pager results.response.numFound pagerSize /]